### Method

# FwupdPlugin UdevDevice get_driver

since: 1.5.3

#### Declaration [src]

    const gchar*
    fu_udev_device_get_driver (
      FuUdevDevice* self
    )

#### Description [src]

Gets the device driver, e.g. `psmouse`.

Available since: 1.5.3

Gets property | `FwupdPlugin.UdevDevice:driver`

#### Return value

Type: `const gchar*`

A subsystem, or NULL if unset or invalid.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.